Latest Diablo 3 News
DiabloWiki Updates
Support the site! Become a Diablo: IncGamers PAL - Remove ads and more!

1.13d patch won't update 1.12 Diablo 2 + LOD

Discussion in 'Diablo 2 Patch Bug Reports & Suggestions' started by Jagger2010, Feb 11, 2015.

  1. Jagger2010

    Jagger2010 IncGamers Member

    Joined:
    Feb 3, 2015
    Messages:
    13
    Likes Received:
    0
    Trophy Points:
    1
    I have been playing Diablo 2 with the 1.13d patch but without LOD and it worked great. Fast loading and looked great. I have windows 7Pro.

    Today, I bought the battlechest with Diablo 2 and LOD. Deleted my original Diablo 2 and reloaded everything up with the new disks. Once done, it took forever to load the game for play. Then the graphics were messed up until I clicked the game. Then it was OK but still the graphics weren't quite right. Lots of pinpoints of color and other not quite right coloring. But it worked. Then I noticed the version was 1.12. I thought loading the 1.13d patch might take care of the graphics problems and slow loading. But when I tried the 1.13d patch, I get a message stating the battlechest version 1.12 is a later version of the game than the 1.13d patch and it refuses to execute the 1.13d patch.

    I had no problems with just Diablo 2 and patch 1.13d. I didn't have to do anything special to make the game run great. But now with LOD all sorts of problems.

    I have done some seaching and haven't found anything quite like my problem. Anybody else have this problem and any ideas on how to fix??????
     
  2. Jagger2010

    Jagger2010 IncGamers Member

    Joined:
    Feb 3, 2015
    Messages:
    13
    Likes Received:
    0
    Trophy Points:
    1
    Found the solution.

    It turns out there are two 1.13d patches. I was using the 1.13d patch for Diablo 2. There is a second 1.13d patch for Lords of Destruction. When I used the correct patch for LOD, the game ran perfectly.
     

Share This Page